using Microsoft.Maui.Controls;
using MauiAppStock.Views;

namespace MauiAppStock.Views
{
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private async void OnAppareilsClicked(object sender, EventArgs e)
        {
            await Navigation.PushAsync(new AppareilsPage());
        }

        private async void OnPiecesClicked(object sender, EventArgs e)
        {
            await Navigation.PushAsync(new PiecesPage());
        }
        
        private async void OnFournisseursClicked(object sender, EventArgs e)
        {
            await Navigation.PushAsync(new FournisseursPage());
        }

        private async void OnAssocierPieceClicked(object sender, EventArgs e)
        {
            // On navigue vers une page qui permet de sélectionner un appareil pour ensuite associer une pièce.
            await Navigation.PushAsync(new SelectAppareilForAssociationPage());
        }

        private async void OnMouvementStockClicked(object sender, EventArgs e)
        {
            await Navigation.PushAsync(new MouvementStockPage());
        }
    }
}